		/*	Autor: Néstor Romero 
			Descripción: Esta función permite identificar si un campo está vacío
			Status: OK		
		*/	
		function isEmpty(field){
			if(field.value=="" || field.value==null){
				return true;
			}else{
				return false;
			}
		}
		
		/*	Autor: Néstor Romero 
			Descripción: Esta función permite identificar si un campo es numérico
			Bug: Si la cadena empieza con un número, la función corta dicha cadena y deja pasar solamente el número		
			Status: OK
		*/
		function isNumber(field){
			var numberField = parseFloat(field.value);
			if(isNaN(numberField)){
				return false;
			}else{
				return true;
			}
		}
		
		/*	Autor: Néstor Romero 
			Descripción: Esta función permite identificar si un campo es un entero positivo 
			Bug: Si la cadena empieza con un número, la función corta dicha cadena y deja pasar solamente el número		
			Status: OK
		*/
		function isPosInteger(field){ //Check
			var numberField= parseInt(field.value);
			if(isNaN(numberField) || numberField < 0){
				//window.alert("El campo "+field.name+" debe tener un valor entero positivo");
				return false;
			}else{
				return true;
			}
		}
		
		/*	Autor: Néstor Romero 
			Descripción: Esta función permite identificar si un campo es un entero entre un rango de valores
			Bug: Si el campo es decimal, se toma solo la parte entera
			Status: OK
		*/
		function isNumberBetween(field,fmin,fmax){
			var numberField = parseInt(field.value);
			if(isNaN(numberField) || numberField < fmin || numberField > fmax){
				//window.alert("El campo "+field.name+" debe estar en el rango ["+fmin+","+fmax+"].");
				return false;
			}else{
				return true;	
			}
		}
		
		/*	Autor: Néstor Romero 
			Descripción: Esta función permite identificar si los caracteres de un campo son todos de tipo numérico
			Bug: Parece no reconocer la comparación de caracteres.
			Status: En revisión
		*/
		function isAllNumber(field) {
			var str = field.value.toString();
			for (var i = 0; i < field.length; i++) {
				var c = srt.charAt(i);
				if(c < "0" || c > "9"){
					return false;
				}	
			}
			return true;
		}
		
			
		/*	Autor: Néstor Romero 
			Descripción: Esta función permite identificar si el campo de fecha dateField1 es menor al campo de fecha dateField2
			Bug: 
			Status:OK
		*/
		function compareDate(dateField1,dateField2){
			var i=0;
			var response = false;
			var date1 = dateField1.value;
			var date2 = dateField2.value;
			var years = new Array(2);
			var months = new Array(2);
			var days = new Array(2);
			
			var pos=0;
			var progress=0;
			for(i=0;i<date1.length;i++){
				if(date1.charAt(i)=='-'){
					switch(progress){
						case 0:
							years[0]=date1.substring(pos,i);
							pos=i+1;
							progress++;
						break;
						
						case 1:
							months[0]=date1.substring(pos,i);
							pos=i+1;
							progress++;
						break
					}
				}
			}
			days[0]=date1.substring(pos,date1.length);
			
			pos=0;
			progress=0;
			
			for(i=0;i<date2.length-2;i++){
				if(date2.charAt(i)=='-'){
					switch(progress){
						case 0:
							years[1]=date2.substring(pos,i);
							pos=i+1;
							progress++;
						break;
						
						case 1:
							months[1]=date2.substring(pos,i);
							pos=i+1;
						break
					}
				}
			}
			days[1]=date2.substring(pos,date2.length);
			//window.alert(years[0]+" "+months[0]+" "+days[0]);		
			//window.alert(years[1]+" "+months[1]+" "+days[1]);		
			if(years[0]<=years[1] && months[0]<=months[1] && days[0]<=days[1]){
				response = true;
			}
			
			return response;
		}
		
		/*	Autor: Néstor Romero 
			Descripción: Esta función permite una validación simple de una dirección de correo electrónico
			Bug: 
			Status: En revisión de validación por expresiones regulares.
					OK
		*/
		function validEmail(emailStr) {
			   var email = new String(emailStr);
			   
			   //Correo vacío
			   if(email.length == 0){
				return false;
			   }
			   
			   //  La expresión \w admite caracteres alfabeticos, numéricos o underscore
			   
			   var emailPat = /(\w+)@(\w+)\.(\w+)/
			   var emailPat2 = /(\w+)@(\w+)\.(\w+)\.(\w+)/
			  
			   var matchArray = email.match(emailPat);
			   var matchArray2 = email.match(emailPat2);
			   
			   if (matchArray == null){
                                        return false;
					
                                        if(matchArray2 == null){
						return false;
					}else{
						return true;	
					}		
			   }else{
					return true;		
			   }  		
			}